Setting up dev environment.

Discussions of the development process of the game.
ace
VIP
Posts: 541
Joined: Sat Jun 21, 2014 4:00 am
android_version: 5.1 - Lolipop
Location: lodar's hideout

Re: Setting up dev environment.

Post by ace » Sun Jun 10, 2018 11:55 am

The only error in AS I get is Android-apt-compiler error because of a file which contains space in its name . I can read and modify code just fine.
the secrets of shadow and light#ace.
https://facebook.com/andorstrail
be happy :lol:

User avatar
Moerit
VIP
Posts: 100
Joined: Wed Oct 16, 2013 6:44 pm
android_version: 4.1 - Jellybean

Re: Setting up dev environment.

Post by Moerit » Mon Oct 08, 2018 3:57 pm

Damn, looks like eclipse isnt anymore avaible - all download links in the Contribution Guide are leading to the newest AS-Version.I used now the downloadlink from rijackson but noob as i am i stumble over the first pop-up window there ("Welcome to Android Studio" - i chose "Check out project from Version Control" -> "GitHub" and get an error message ("Cannot run program "git.exe": CreateProcess error=2, Das System kann die angegebene Datei nicht finden"))

we really need a new Guide but im totally thankfully when the dev-team will firstly push through the new version!

P.S.: If someone more expierenced with AS is willing to explain how those thinks work i'd be glad - until then i will have to check if the eclipse on my old laptop will work
Lvl: 16, XP: 47538, Gold: 474, RoLS: 0, ElyR: 0, RoL: 0, ChaR: 0, GoLF: 0, ShaF: 0, SRoV: 0, VSH: 0, WMC: 0, GoW: 0
HP: 151, AC: 248%, AD: 29-40, AP: 4, ECC: 22%, CM: -, BC: 160%, DR: 5

User avatar
rijackson741
Posts: 2170
Joined: Tue Aug 20, 2013 2:04 am
android_version: 9.0 - Pie
Location: Somewhere in Dhayavar

Re: Setting up dev environment.

Post by rijackson741 » Tue Oct 09, 2018 2:07 am

This might sound kind of obvious, but did you install git? I don't think Android Studio will install it for you.

Zukero maybe has the installer for Eclipse.
Level: 64, XP: 4734786, HP: 196, AC: 246%, AD: 49-59, AP: 3, ECC: 25%, CM: 3, BC: 127%, DR: 2
Gold: 232355 | RoLS: 1, RoL: 1, GoW: 1
HH: 1, CS: 2, IF: 4, Ev: 3, Re: 2, WP:DA: 1, WP:1S: 1, AP:L: 1, FS:DW: 2, S:DW: 1
SR

User avatar
Zukero
Lead Developer
Posts: 1735
Joined: Thu Jul 21, 2011 9:56 am
android_version: 8.0

Re: Setting up dev environment.

Post by Zukero » Tue Oct 09, 2018 7:58 am

You can get eclipse from https://eclipse.org/downloads/packages and get "Eclipse for Java developers". You'll then need to find an old release of the stand-alone Android SDK, because the new ones don't include a graphical package manager.
Finally, you'll need to install the ADT plug-in from within eclipse, using an "update site" like found here: https://github.com/dandar3/eclipse-adt- ... /README.md

Once you figure out how to set up all of this, you'll notice that the debugger and logcat do not work on Android 7.0+

Now, Android Studio 3.0+ requires a code structure that Andor's Trail do not have currently, so you're stuck with AS 2.x.

See, this is a mess. After the release, I'll work on making AT usable in the latest AS, and then maybe I'll manage to update this guide.... :roll:
Lvl: 78, XP: 8622632, Gold: 271542, RoLS: 1, ElyR: -, RoL: -, ChaR: 1, GoLF: 1, ShaF: 1, SRoV: 1, VSH: 1, WMC: 1, GoW: 1
HP: 71, AC: 301%, AD: 38-47, AP: 3, ECC: 50%, CM: 3.75, BC: 101%, DR: 2

User avatar
Moerit
VIP
Posts: 100
Joined: Wed Oct 16, 2013 6:44 pm
android_version: 4.1 - Jellybean

Re: Setting up dev environment.

Post by Moerit » Tue Oct 09, 2018 2:40 pm

I just can wish you gooood luck for that project!
I examined my old laptop which i was working with. I found an old adt-bundle and with that i followed the Contribution Guide until i had to update to API 21 but the SDK-manager doesnt offer me that, well, nevermind - i maybe will better be waiting until the release is finally out before i will try any more to get the system set up.
In case someone is interested in the bundle, here's the link

Edit:
Updated the SDK Manager, now it shows packages up to API 28. I now only install the API 21 packages.
eclipse said ADT version is to low. I deleted the eclipse folder and replaced it with the one i downloaded via Zukero's links above.
Had to update my eclipse-workspace but eclipse now starts without errors. There's now just a little red "!" in the package explorer on andorstrail.
tryong to launch or debug gives me a Launch error "Selection does not contain a main type"
my guess: Its about the programs version (either SDK or ADT or some package or AT's mentioned other structure)
Lvl: 16, XP: 47538, Gold: 474, RoLS: 0, ElyR: 0, RoL: 0, ChaR: 0, GoLF: 0, ShaF: 0, SRoV: 0, VSH: 0, WMC: 0, GoW: 0
HP: 151, AC: 248%, AD: 29-40, AP: 4, ECC: 22%, CM: -, BC: 160%, DR: 5

Post Reply